Subject: [netext] New version of virtual interface draft (draft-trung-netext-virtual-interface-01)

From: Tran Minh Trung <[email-masked]>
Date: Tue, 27 Oct 2009 09:59:11 +0900

Hi all,

We have updated new version of virtual interface draft at
http://www.ietf.org/id/draft-trung-netext-virtual-interface-01.txt

There have been several documents mentioning about virtual interface
solution, but few of them discuss detail about how to change the
PMIPv6 operations to support virtual interface.

In this Internet draft we suggest the necessary changes in PMIPv6
operations to support virtual interface.  This is just a primary
version. We would like to improve it as an official document for
PMIPv6 to support virtual interface.

Your comments are always appreciated and welcomed.

Regards,
TrungTM

---------- Forwarded message ----------
From: IETF I-D Submission Tool <[email-masked]>
Date: Tue, Oct 27, 2009 at 8:57 AM
Subject: New Version Notification for draft-trung-netext-virtual-interface-01
To: [email-masked]
Cc: [email-masked]

A new version of I-D, draft-trung-netext-virtual-interface-01.txt has
been successfuly submitted by Tran Trung and posted to the IETF
repository.

Filename:        draft-trung-netext-virtual-interface
Revision:        01
Title:           Virtual interface for supporting multihoming and
inter technology handover
Creation_date:   2009-10-27
WG ID:           Independent Submission
Number_of_pages: 9

Abstract:
The Proxy Mobile IPv6 supports a mobile node to perform inter-
technology handover as well as multihoming.  However the inter-
technology handover requires the new interface to use the same
network prefix with the old one and all the IP address/prefix at the
old interface are removed.  These requirements disable multihoming
function which requires different network prefixes for different
interfaces.  In this Internet draft we address this problem and
suggest the necessary changes in PMIPv6 operations to support a
mobile node to perform multihoming as well as seamless inter
technology handover with virtual interface.

The IETF Secretariat.

-- 
Ph.D., Senior Member
Electronics and Telecommunications Research Institute
Standards Research Center
161 Gajeong-Dong, Yuseong-Gu, Daejeon, 305-350, KOREA
Tel : +82-42-860-1132,   Fax : +82-42-861-5404

---

From: "Yuri Ismailov" <[email-masked]>
Date: Tue, 27 Oct 2009 11:13:37 +0100

Hi Trun,
Read the draft, intresting piece of work.

Was a bit puzzled about the following paragraph:

"The mobile access gateway should include the flow information in the
Proxy Binding Update sent to the local mobility anchor.  To get the
flow information, the mobile access gateway can collect information
about the service identifier at layer 2 when a mobile node attach to
it.  We can refer to the draft [9] for more detail about the service
identifier."

Here are my questions
1. What is service identifier? I did not find any mentioning about it in the referenced draft [9]
2. How does that relates to layer 2? Is that access specific?
3. Exchage of information about routing flows to a particular interface in draft [9] is performed between MN and HA at layer 3.
Do you mean that MN should send this info to MAG at layer 3?

Regards
Yuri

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Tran Minh Trung
Sent: Tuesday, October 27, 2009 1:59 AM
To: [email-masked]
Subject: [netext] New version of virtual interface draft(draft-trung-netext-virtual-interface-01)

Hi all,

We have updated new version of virtual interface draft at http://www.ietf.org/id/draft-trung-netext-virtual-interface-01.txt

There have been several documents mentioning about virtual interface solution, but few of them discuss detail about how to change the
PMIPv6 operations to support virtual interface.

In this Internet draft we suggest the necessary changes in PMIPv6 operations to support virtual interface.  This is just a primary version. We would like to improve it as an official document for
PMIPv6 to support virtual interface.

Regards,
TrungTM

---------- Forwarded message ----------
From: IETF I-D Submission Tool <[email-masked]>
Date: Tue, Oct 27, 2009 at 8:57 AM
Subject: New Version Notification for draft-trung-netext-virtual-interface-01
To: [email-masked]
Cc: [email-masked]

A new version of I-D, draft-trung-netext-virtual-interface-01.txt has been successfuly submitted by Tran Trung and posted to the IETF repository.

Filename:        draft-trung-netext-virtual-interface
Revision:        01
Title:           Virtual interface for supporting multihoming and inter technology handover
Creation_date:   2009-10-27
WG ID:           Independent Submission
Number_of_pages: 9

Abstract:
The Proxy Mobile IPv6 supports a mobile node to perform inter- technology handover as well as multihoming.  However the inter- technology handover requires the new interface to use the same network prefix with the old one and all the IP address/prefix at the old interface are removed.  These requirements disable multihoming function which requires different network prefixes for different interfaces.  In this Internet draft we address this problem and suggest the necessary changes in PMIPv6 operations to support a mobile node to perform multihoming as well as seamless inter technology handover with virtual interface.

The IETF Secretariat.

--
Ph.D., Senior Member
Electronics and Telecommunications Research Institute Standards Research Center
161 Gajeong-Dong, Yuseong-Gu, Daejeon, 305-350, KOREA
Tel : +82-42-860-1132,   Fax : +82-42-861-5404
_______________________________________________
netext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netext

---

From: Tran Minh Trung <[email-masked]>
Date: Wed, 28 Oct 2009 10:21:59 +0900

Thank Yuri!

> 1. What is service identifier? I did not find any mentioning about it in the referenced draft [9]

Ans.: Service identifier is a string used to identify the requested
service. You can refer to the RFC5149, section 3.
I should change the reference from [9] -> [2]

> 2. How does that relates to layer 2? Is that access specific?

Ans.: When the MN attach with new MAG via layer 2, it can indicate
access specific to MAG.

> Do you mean that MN should send this info to MAG at layer 3?

Ans.: Since the involvement of the MN at layer 3 should be minimized,
the MAG can check which flows will be sent via new attachment when MAG
identifies the mobile node and acquire its MN-Identifier. However the
layer 2 operation is out of scope so we are thinking about layer 3
solutions without any modifications and involvement of the MN.

It is nice if you have some hints or ideas about that.

Regards,
TrungTM